export const apiServer = process.env.API_BASE_URL;
// console.log("apiServer", apiServer);

export const token = '';

// 发送注册短信验证码
export const apiSmsSend = apiServer + 'SmsSend';

// 自助开赛用户注册
export const apiSignUp = apiServer + 'SignUp';

// 自助开赛用户登录
export const apiSignIn = apiServer + 'SignIn';

// 自助开赛用户退出
export const apiSignOut = apiServer + 'SignOut';

// 自助开赛用户获取个人信息
export const apiGetSelfInfo = apiServer + 'GetSelfInfo';

// 自助赛事列表查询
export const apiCompInfoQuery = apiServer + 'CompInfoQuery';

// 自助赛事详情查询
export const apiCompInfoDetail = apiServer + 'CompInfoDetail';

// 自助新建赛事信息
export const apiCompInfoAdd = apiServer + 'CompInfoAdd';

// 自助修改赛事信息
export const apiCompInfoEdit = apiServer + 'CompInfoEdit';

// 自助赛事发布
export const apiCompInfoPublish = apiServer + 'CompInfoPublish';

// 自助上传多媒体内容
export const apiUploadFiles = apiServer + 'UploadFiles';

// 自助选择公共模板
export const apiSelectSsctQuery = apiServer + 'SelectSsctQuery';

// 自助选择地图
export const apiSelectMapQuery = apiServer + 'SelectMapQuery';

// 自助根据地图选择方案
export const apiSelectPlanQuery = apiServer + 'SelectPlanQuery';

// 排名查询
export const apiCardRankDetailQuery = apiServer + 'CardRankDetailQuery';

// 自助赛事二维码查询
export const apiCompQrCodeQuery = apiServer + 'CompQrCodeQuery';

// 自助赛事二维码重置
export const apiCompQrCodeReset = apiServer + 'CompQrCodeReset';

// 
// export const api = apiServer + 'XXXXX';


// 检测request的返回值
export function checkResCode(res) {
	// console.log("checkResCode", res);
	if (res.data.code == 0) {
		return true;
	} else if (res.data.code == 601) { // 未登录，返回了游客可查看的记录
		let store = getApp().$store;
		// console.log("userlevel", store.state.userlevel);
		if (store.state.userlevel > 0) {	// 清除本地过期缓存
			store.commit("setUsername", "");
			store.commit("setUserlevel", 0);
			store.commit("setToken", "");
		}
		return true;
	} else if (res.statusCode == 401) { // 未登录
		uni.showToast({
			title: `您尚未登录`,
			icon: 'none',
			duration: 3000
		});
		// window.location.href = `action://to_login/`;
		uni.navigateTo({
			url: '/pages/login/login'
		});
		return false;
	} else {
		console.log("=======");
		if (res.data.message) {
			uni.showToast({
				title: `${res.data.message}`,
				icon: 'none',
				duration: 3000
			});
		}
		return false;
	}
};
